AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get all subscriptions

List the subscriptions on your account, including cancelled subscriptions.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/subscriptions

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

email string
This is the email of the subscriber. You can use this to query the transactions for a single customer.

transaction_id int 32
This is a unique transaction identifier generated by our systems. It is returned in the initiate charge response as data.id.

plan int 32
This is the ID of the payment plan. It is returned in the call to create a payment plan as data.id.

subscribed_from string
This is the start date of the subscriptions(when they are first active). You can use this as a starting point for your query. The expected date format for this parameter is YYYY-MM-DD

subscribed_to string
This is the end date for a subscription. Like subscribed_from, It also has an expected date format of YYYY-MM-DD.

next_due_from string
This is the parameter to filter from the start date of the next due subscriptions.

next_due_to string
This is the parameter to filter to the end date of the next due subscriptions.

page int 32
This is the page number to retrieve e.g. setting 1 retrieves the first page.

status string
This is the status for the queried transactions. Expected values are active and cancelled.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

amount integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

customer_email string

plan integer

status string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys